@import "~sass/media";
@import "~sass/variables";
.profile-whistlist-wrap {
//   border: 1px solid #dcdcdc;
//   box-shadow: 0px 3px 0px 0px #d4d4d4;
  height: 100%;
  //box-shadow: 0px 3px 14px 0px #d4d4d4;
  box-shadow: 2px 2px 4px rgba(212, 212, 212, 0.65), 0 0 2px rgba(212, 212, 212, 0.65);
  @include for-size(mobile-lanscape) {
    margin: 5px 0;
  }
}
.profile-list-wrap {
  // margin-top: 1vh;
    margin-top: 20px;
    margin-bottom: 20px;
  .common-header-h4{
    @include for-size(phone-only){
      display:none;
    }
  }
}
.profile-menu-wrap {
  //box-shadow: 0px 0px 6px 0px #d4d4d4;
  box-shadow: 2px 2px 4px rgba(212, 212, 212, 0.65), 0 0 2px rgba(212, 212, 212, 0.65);
  height: 100%;
}
.user-profile-wrap {
  // box-shadow:0px 3px 0px 0px #d4d4d4;
  // border: 1px solid #d0d0d0;
  // background-color: #fff;
  cursor: pointer;
  // margin-top: 20px;
  @include for-size(mobile-lanscape) {
    display: none;
  }
  @include for-size(phone-only) {
    display: none;
  }
}
.user-profile-wrap ul li {
  font-size: 14px;
  padding: 12px 0px;
  color: $font-silver;
  @include for-size(tablet-portrait-up){
    font-size: 11px !important;
  }
  span {
    padding-left: 10px;
    color: $font-silver;
  }
  i.fa {
    margin-left: 20px;
    font-size: 20px;
    width: 30px;
    vertical-align: middle;
    height: 24px;
    color: $font-silver;
    @include for-size(tablet-portrait-up){
      margin-left: 10px;
    }    
  }
  i.fas {
    margin-left: 20px;
    font-size: 20px;
    width: 30px;
    vertical-align: middle;
    height: 24px;
    color: $font-silver;
    @include for-size(tablet-portrait-up){
      margin-left: 10px;
    }    
  }
  i.far {
    margin-left: 20px;
    font-size: 20px;
    width: 30px;
    vertical-align: middle;
    height: 24px;
    color: $font-silver;
    @include for-size(tablet-portrait-up){
      margin-left: 10px;
    }    
  }
}
.user-profile-wrap ul li {
  &:hover {
    color: $secondary-color;
    font-weight: 500;
   i.fa {
     color: $secondary-color !important;
   }
   i.far {
     color: $secondary-color !important;
   }
   i.fas {
     color: $secondary-color !important;
   }
  }

}
.user-profile-wrap .list-title {
  font-weight: 500;
}
.list-head {
  font-weight: 500;
  cursor: default;
  font-size: 14px;
  padding-left: 3%;
  color: #03a9f4;
}

.user-profile {
  display: flex;
  border-bottom: 1px solid $quaternary;
  cursor: pointer;
  @include for-size(mobile-lanscape) {
    display: none;
  }
  @include for-size(phone-only) {
    display: none;
  }
}

.profile-img {
  flex: 0 0 80px;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 1vh;
  display: inline-block;
  width: 80px;
  height: 80px;
  border: 1px solid $quaternary;
  border-radius: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  overflow: hidden;
      @include for-size(tablet-portrait-up){
        width: 60px;
        height: 60px;
      }
  &:hover {
    .img-ctrl{
      opacity: 1;
    }
  }
}
.img-ctrl {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 174, 239,0.75);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity ease 0.25s;
  ul {
    display: inline-flex;
    margin: 0;
    li {
      margin: 0 5px;
      img {
        width: 20px;
        height: 20px;
        padding: 0 5px;
        box-sizing: content-box;
      }
    }
  }
}
.profile-name {
  display: flex;
  flex: 0 0 calc(100% - 80px);
  align-items: center;
  font-size: 15px;
  padding-left: 10px;
}
.profile-name-wrap{
  white-space: wrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 89%;
  color: $font-silver;
  @include for-size(tablet-portrait-up){
    width: 70px;
  }
}
.profile-name span {
  font-weight: 700;
  white-space: wrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 14px;
  color: $font-silver;
}
.profile-common-wrap {
  box-shadow: 0px 3px 0px 0px #d4d4d4;
  border: 1px solid #ececec;
}
@include for-size(phone-only) {
  .profile-whistlist-wrap {
    margin-top: 2vh;
  }
  .profile-whistlist-wrap .col-md-9 {
    padding: 0 !important;
  }
  .profile-list-wrap .col-md-9 {
    padding: 0;
    margin-bottom: 10px;
  }
}
@include for-size(tablet-portrait-up) {
  .profile-whistlist-wrap {
    height: 100%;
  }
}
@include for-size(mobile-ios-lanscape) {
  .profile-whistlist-wrap {
    height: 100%;
  }
}
@include for-size(tablet-landscape-up) {
}

.user-profile-wrap-active {
  color: $secondary-color !important;
  font-weight: 500;
  background-color: $quaternary;
  i.fa {
    color: $secondary-color !important;
  }
}
@include for-size(phone-only) {
.mobile-tablet{
  display:none;
}
}
@include for-size(tablet-portrait-up) {
  .mobile-tablet{
    display:none;
  }
  }
@include for-size(tablet-landscape-up) {
.mobile-tablet-none{
  display:none;
}
}
@include for-size(l1025-1279) {
  .mobile-tablet-none{
    display:none;
  }
  }
  @include for-size(l1280-1365) {
    .mobile-tablet-none{
      display:none;
    }
    }

  @include for-size(l1366-1439) {
    .mobile-tablet-none{
      display:none;
    }
    }
  @include for-size(l1440-1534) {
    .mobile-tablet-none{
      display:none;
    }
    }
  @include for-size(l1535-1559) {
    .mobile-tablet-none{
      display:none;
    }
    }
    @include for-size(d1600-1919) {
      .mobile-tablet-none{
        display:none;
      }
      }
      @include for-size(big-desktop-up) {
        .mobile-tablet-none{
          display:none;
        }
        }


